pprzlink v2 as default

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

pprzlink v2 as default

Gautier Hattenberger-3
Dear all,

The default version of the PPRZLINK library is now the version 2 in the
master branch:

- https://github.com/paparazzi/paparazzi/pull/2191
- https://github.com/paparazzi/paparazzi/issues/2167

If you upgrade your code, you should run the command 'make clean &&
make' in order to have a fresh install of the library and a correct
compilation of all the tools. You will also need to recompile your
airframes and flash them before flying. By default the general behavior
should be unchanged.

Please visit the wiki page https://wiki.paparazziuav.org/wiki/Pprzlink 
for more details about the differences between the version 1 and 2 of
the protocol.

If you need to use the version 1, you can change the line 84 of the
general Makefile to set version 1.0, or compile the code with the
command: 'PPRZLINK_LIB_VERSION=1.0 make'.

Cheers,

Gautier for the Paparazzi Dev Team


_______________________________________________
Paparazzi-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/paparazzi-devel